//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    
    
    public partial class Tags
    {
		public string stringHours;
		public string stringMinutes;
		public string stringSeconds;
		public string totalString = "";
		public int seconds;
		public int minutes;
		public int hours;
		public int placeholder;
		public int one = 1;
		
		void Seconds_ValueChange(System.Object sender, Neo.ApplicationFramework.Interfaces.Events.ValueChangedEventArgs e)
		{				
			//Separate variable version:
			if (Globals.Tags.Hours.Value < 10)
				stringHours = "0" + Globals.Tags.Hours.Value.ToString();
			else
				stringHours = Globals.Tags.Hours.Value.ToString();
			
			if (Globals.Tags.Minutes.Value < 10)
				stringMinutes = "0" + Globals.Tags.Minutes.Value.ToString();
			else
				stringMinutes = Globals.Tags.Minutes.Value.ToString();
			
			if (Globals.Tags.Seconds.Value < 10)
				stringSeconds = "0" + Globals.Tags.Seconds.Value.ToString();
			else
				stringSeconds = Globals.Tags.Seconds.Value.ToString();
			
			totalString = stringHours + ':' + stringMinutes + ':' + stringSeconds;
			Globals.Tags.myString.Value = totalString;
			
			
			
			
		}
		
		void TotalSecondsFromPLC_ValueChange(System.Object sender, Neo.ApplicationFramework.Interfaces.Events.ValueChangedEventArgs e)
		{
			//Splitting total seconds version:
			Globals.Tags.DividedHours.Value = Globals.Tags.TotalSecondsFromPLC.Value/3600;
			Globals.Tags.DividedMinutes.Value = (Globals.Tags.TotalSecondsFromPLC.Value/60)%60;
			Globals.Tags.DividedSeconds.Value = Globals.Tags.TotalSecondsFromPLC.Value%60;
			//Separate variable version:
			if (Globals.Tags.DividedHours.Value < 10)
				stringHours = "0" + Globals.Tags.DividedHours.Value.ToString();
			else
				stringHours = Globals.Tags.DividedHours.Value.ToString();
			
			if (Globals.Tags.DividedMinutes.Value < 10)
				stringMinutes = "0" + Globals.Tags.DividedMinutes.Value.ToString();
			else
				stringMinutes = Globals.Tags.DividedMinutes.Value.ToString();
			
			if (Globals.Tags.DividedSeconds.Value < 10)
				stringSeconds = "0" + Globals.Tags.DividedSeconds.Value.ToString();
			else
				stringSeconds = Globals.Tags.DividedSeconds.Value.ToString();
			
			totalString = stringHours + ':' + stringMinutes + ':' + stringSeconds;
			Globals.Tags.myStringCombine.Value = totalString;
			
			
		}
		
		void CombineSeconds_ValueChange(System.Object sender, Neo.ApplicationFramework.Interfaces.Events.ValueChangedEventArgs e)
		{
			Globals.Tags.CombineTotal.Value = (Globals.Tags.CombineHours.Value * 3600) + (Globals.Tags.CombineMinutes.Value * 60) + Globals.Tags.CombineSeconds.Value;
		}
		
		void CombineMinutes_ValueChange(System.Object sender, Neo.ApplicationFramework.Interfaces.Events.ValueChangedEventArgs e)
		{
			Globals.Tags.CombineTotal.Value = (Globals.Tags.CombineHours.Value * 3600) + (Globals.Tags.CombineMinutes.Value * 60) + Globals.Tags.CombineSeconds.Value;
		}
		
		void CombineHours_ValueChange(System.Object sender, Neo.ApplicationFramework.Interfaces.Events.ValueChangedEventArgs e)
		{
			Globals.Tags.CombineTotal.Value = (Globals.Tags.CombineHours.Value * 3600) + (Globals.Tags.CombineMinutes.Value * 60) + Globals.Tags.CombineSeconds.Value;
		}
		
	
		
    }
}
